public class Customer {

  /* The arrival time of this customer */
  protected double arrivalTime;
  /* The service time of this customer */
  protected double serviceTime;

  /**
   * Constructs a Customer with specified arrival time and service time
   * @param arrivalTime the arrival time
   * @param serviceTime the service time
   */

  public Customer(double arrivalTime, double serviceTime) {
    this.arrivalTime = arrivalTime;
    this.serviceTime = serviceTime;
  }

  /**
   * Returns the arrival time of this customer.
   * @return arrival time
   */

  public double getArrivalTime() {
    return arrivalTime;
  }

  /**
   * Returns the service time of this customer.
   * @return service time
   */

  public double getServiceTime() {
    return serviceTime;
  }

} 